//-*- C++ -*-
// // Meshing algorithm
Mesh.Algorithm=5;
Mesh.Algorithm3D = 1;
Mesh.Optimize = 1;
Mesh.OptimizeNetgen = 1;

// Geom parameters
Geometry.OCCFixDegenerated = 0;
Geometry.OCCFixSmallEdges = 0;
Geometry.OCCFixSmallFaces = 0;
Geometry.OCCSewFaces = 0;
Geometry.OCCConnectFaces = 0;
Geometry.OCCScaling = 0.001;

// Import the step file
Merge "model_3D.iges";

scale   = 4.;
h_far   = scale*20e-4;
h_blade = scale*3.25e-5;
h_lete  = scale*6e-6;
h_wake  = scale*8e-5;

Characteristic Length {17:20} = h_blade;

Field[2]         = Cylinder;
Field[2].XCenter = -1e-4;
Field[2].YCenter = 0.;
Field[2].ZCenter = -.5;
Field[2].XAxis   = 0.000000e+00;
Field[2].YAxis   = 0.000000e+00;
Field[2].ZAxis   = 1.000000e+00;
Field[2].Radius  = 0.0002;
Field[2].VIn     = h_lete;
Field[2].VOut    = h_far;

// Field[1] = Attractor;
// Field[1].EdgesList = {17:19};
// Field[1].NNodesByEdge=100;

// Field[2] = Threshold;
// Field[2].IField = 1;
// Field[2].LcMin = h_lete;
// Field[2].LcMax = h_far;
// Field[2].DistMin = .001;
// Field[2].DistMax = .05;

Field[5000] = Min;
Field[5000].FieldsList = {2};
Background Field = 5000;
